Summary: Hungarian code converting utility
Name: codeconv
Version: 2.1.0
Release: 4
Copyright: free
Group: Applications/Text
Source: http://www.mit.bme.hu/services/codeconv/codeconv.tar.gz
Patch: codeconv.patch
URL: http://www.mit.bme.hu/services/codeconv
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Denes Tarjan <tarjan@mit.bme.hu>
Prefix: /usr

%changelog
* Mon Oct 01 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.2 beta

* Thu May 03 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.1

* Sat Apr 14 2001 Peter Soos <sp@osb.hu>
- rebuilt under RedHat 7.0

* Tue Mar 21 2000 Peter Soos <sp@osb.hu>
- Version 2.1.0

* Wed May 12 1999 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0

* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes

* Mon Jun 22 1998 Peter Soos <sp@osb.hu>
- Using %attr

* Fri Mar 19 1998 Peter Soos <sp@osb.hu>
- Initial version

%description
Codeconv utility converts the Hungarian letters with accent between various code conventions.

%prep
%setup -c
%patch -p1 -b .orig

%build
make "C_OPT=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/etc/codeconv
install -m 755 codeconv $RPM_BUILD_ROOT%{_bindir}
install -m 755 codecall.sh $RPM_BUILD_ROOT%{_bindir}/codecall
install -m 644 *.tab $RPM_BUILD_ROOT/etc/codeconv

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc manual.hun file_id.diz
%attr(0755, root, root) %{_bindir}/codeconv
%attr(0755, root, root) %{_bindir}/codecall
%dir /etc/codeconv
%config /etc/codeconv/*.tab
